Subject: Re: [I2nsf] YANG Doctors Working Group Last Call Review for draft-ietf-i2nsf-nsf-facing-interface-dm-06

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Mon, 4 Nov 2019 21:37:17 +0900

Hi Acee,
I have reflected all your comments in the revised I-D of NSF-Facing
Interface YANG Data Model:
https://tools.ietf.org/html/draft-ietf-i2nsf-nsf-facing-interface-dm-08

I attach the revision letter to explain how I reflected your comments on
each of your comments.

If you have questions, please let me know.

Best Regards,
Paul

On Sun, Jun 23, 2019 at 3:03 AM Acee Lindem (acee) <[email-masked]> wrote:

> I have reviewed this document as part of the YANG doctors directorate's
>
> ongoing effort to review all IETF documents being processed by the IESG.
> These
>
> comments were written with the intent of improving the operational aspects
> of the
>
> IETF drafts. Comments that are not addressed in last call may be included
> in AD reviews
>
> during the IESG review.  Document editors and WG chairs should treat these
> comments
>
> just like any other early review comments.
>
>
>
>
>
> Document: draft-ietf-i2nsf-nsf-facing-interface-dm-06
>
> Reviewer: Acee Lindem
>
> Review Date: June 22, 2019
>
> Review Type: Working Group Last Call
>
> Intended Status: Standards Track
>
> Summary: Needs to go back to Working Group for rework and another WGLC
>
>
>
> Modules: "[email-masked]"
>
>
>
> Tech Summary: The model defines different types of I2NSF security policy.
> Each
>
>                              is comprised of an event, a condition, and an
> action. There is
>
>                              significant overlap with other IETF models.
> Within I2NSF, there
>
>                              is repetition of definitions which needs to
> go into a common
>
>                              I2NSF types module.  Additionally, the data
> descriptions were
>
>                               were done quickly and never reviewed or
> edited. I believe
>
>                              it needs to go back to the working group for
> another revision and
>
>                              working group last call.
>
> .
>
>
>
> Major Comments:
>
>
>
>  1. Why don't you leverage the definitions in RFC 8519 for packet matching?
>
>     We don't need all this defined again.
>
>
>
>  2. Date and time are defined in RFC 6991. Why don't those suffice?
>
>
>
>  3. Refer to the intervals as "time-intervals" rather than "time-zones".
>
>     The term "time-zone" has a completely different connotation.
>
>
>
>  4. What the "acl-number"? Also, ACLs are named (RFC 8519). Also, why
>
>     define all the packet matching and then reference an ACL.
>
>
>
>  5. The descriptions are very awkwardly worded and in many cases simply
>
>     repeat the data node or identify description without hyphens. I
>
>     started trying to fix this but it was too much. I'll pass for on
>
>     for some examples. There are enough co-authors and contributors that
>
>     one would expect much better.
>
>
>
>  6. There is overlap of definitions with the I2NSF capabilities draft.
>
>     The common types and identities should be factored into a common
>
>     I2NSF types module.
>
>
>
>  7. The "Security Considerations" in section 8 do not conform to the
>
>     recommended template in
> https://trac.ietf.org/trac/ops/wiki/yang-security-
>
>     guidelines>
>
>
>
>
>
> Minor Comments:
>
>
>
>  1. Section 3.1 should reference RFC8340 rather than attempting to
>
>     include tree diagram formatting semantics.
>
>
>
>  2. "iiprfn" is a poor choice for default model prefix - I suggest
>
>     "nsfintf". It is only one character longer and actually is expands
>
>      to something meaningful.
>
>
>
>  3. RFC 2460 is obsoleted by RFC 8200.
>
>
>
>  4. RFC 791 is the wrong reference for IPv4 TOS. It should be RFC 1394.
>
>
>
>  5. What is the IGRP protocol? I'm familiar with EIGRP but not IGRP.
>
>
>
>  6. What is the skip protocol? Is this about skipping the check? If so,
>
>     why is it needed.
>
>
>
>  7. Reference for IPv6 ICMP should be RFC 2463.
>
>
>
>  8. Why do you include Photuris definitions? Nobody uses this.
>
>
>
>  9. Note that all the keys for all 'config true' lists must be
>
>     unique so your specification in the description as well as
>
>     'mandatory true' are redundant for the 'rules' list. This
>
>     mistake is in other lists as well.
>
>
>
> 10. What is 'during' time?
>
>
>
> 11. What is a "security-grp"? Is this a security-group?
>
>
>
> 12. The module prologue doesn't match the example in Appendix B of
>
>     RFC 8407.
>
>
>
> 13. There needs to be a good definition of absolute and periodic
>
>        time in the descriptions.
>
>
>
> 14. The References do not include all the RFCs referenced by YANG
>
>     model reference statements.
>
>
>
> Nits: Will send diff to authors and i2nsf chairs as example of review that
> should be done on YANG documents prior to sending to YANG doctors.
>
>
>
> Thanks,
> Acee
>
>
> _______________________________________________
> I2nsf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2nsf
>

-- 
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked], [email-masked]
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
<http://cpslab.skku.edu/people-jaehoon-jeong.php>

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Wed, 6 Nov 2019 11:08:36 +0900

Hi Acee,
I believe that I have addressed your comments on I2NSF NSF-Facing Interface
Data Model:
https://tools.ietf.org/html/draft-ietf-i2nsf-nsf-facing-interface-dm-08

If you are satisfied with the revision, could you update the Review result
in the following page?
https://datatracker.ietf.org/doc/review-ietf-i2nsf-nsf-facing-interface-dm-06-yangdoctors-lc-lindem-2019-06-22/

Thanks.

Best Regards,
Paul

On Mon, Nov 4, 2019 at 9:37 PM Mr. Jaehoon Paul Jeong <
[email-masked]> wrote:

>> comments were written with the intent of improving the operational
>> aspects of the
>>
>> during the IESG review.  Document editors and WG chairs should treat
>> these comments
>>
>>                              is comprised of an event, a condition, and
>> an action. There is
>>
>> Nits: Will send diff to authors and i2nsf chairs as example of review
>> that should be done on YANG documents prior to sending to YANG doctors.
>>
>>
>>
>> Thanks,
>> Acee
>>
>>

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 25 Nov 2019 18:48:41 +0000

Hi Paul,
I see you chose not to harmonize with the existing ACL model (RFC 8519) or the updated YANG types (draft-ietf-netmod-rfc6991-bis-02). However, given the applicability of the draft, perhaps it doesn’t really matter.  In any event, I marked the review as “Ready”. However, a better characterization would probably be “Ready as Ever”.
Thanks,
Acee

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Tuesday, November 5, 2019 at 9:09 PM
To: Acee Lindem <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, YANG Doctors <[email-masked]>, "[email-masked]" <[email-masked]>, "Mr. Jaehoon Paul Jeong" <[email-masked]>
Subject: Re: [I2nsf] YANG Doctors Working Group Last Call Review for draft-ietf-i2nsf-nsf-facing-interface-dm-06

Hi Acee,
I believe that I have addressed your comments on I2NSF NSF-Facing Interface Data Model:
https://tools.ietf.org/html/draft-ietf-i2nsf-nsf-facing-interface-dm-08

If you are satisfied with the revision, could you update the Review result in the following page?
https://datatracker.ietf.org/doc/review-ietf-i2nsf-nsf-facing-interface-dm-06-yangdoctors-lc-lindem-2019-06-22/

Thanks.

Best Regards,
Paul

On Mon, Nov 4, 2019 at 9:37 PM Mr. Jaehoon Paul Jeong <[email-masked]<mailto:[email-masked]>> wrote:
Hi Acee,
I have reflected all your comments in the revised I-D of NSF-Facing Interface YANG Data Model:
https://tools.ietf.org/html/draft-ietf-i2nsf-nsf-facing-interface-dm-08

I attach the revision letter to explain how I reflected your comments on each of your comments.

Best Regards,
Paul

On Sun, Jun 23, 2019 at 3:03 AM Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>> wrote:
I have reviewed this document as part of the YANG doctors directorate's
ongoing effort to review all IETF documents being processed by the IESG.  These
comments were written with the intent of improving the operational aspects of the
IETF drafts. Comments that are not addressed in last call may be included in AD reviews
during the IESG review.  Document editors and WG chairs should treat these comments
just like any other early review comments.

Tech Summary: The model defines different types of I2NSF security policy. Each
                             is comprised of an event, a condition, and an action. There is
                             significant overlap with other IETF models. Within I2NSF, there
                             is repetition of definitions which needs to go into a common
                             I2NSF types module.  Additionally, the data descriptions were
                              were done quickly and never reviewed or edited. I believe
                             it needs to go back to the working group for another revision and
                             working group last call.
.

Major Comments:

 7. The "Security Considerations" in section 8 do not conform to the
    recommended template in https://trac.ietf.org/trac/ops/wiki/yang-security-
    guidelines>

Minor Comments:

Nits: Will send diff to authors and i2nsf chairs as example of review that should be done on YANG documents prior to sending to YANG doctors.

Thanks,
Acee

_______________________________________________
I2nsf mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/i2nsf

--
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php<http://cpslab.skku.edu/people-jaehoon-jeong.php>

--
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php<http://cpslab.skku.edu/people-jaehoon-jeong.php>

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Tue, 26 Nov 2019 13:59:39 +0900

Acee,
Thanks for your valuable review and confirmation on the status of "Ready".

Best Regards,
Paul

2019년 11월 26일 (화) 오전 3:48, Acee Lindem (acee) <[email-masked]>님이 작성:

> Hi Paul,
>
> I see you chose not to harmonize with the existing ACL model (RFC 8519) or
> the updated YANG types (draft-ietf-netmod-rfc6991-bis-02). However, given
> the applicability of the draft, perhaps it doesn’t really matter.  In any
> event, I marked the review as “Ready”. However, a better characterization
> would probably be “Ready as Ever”.
>
> Thanks,
>
> Acee
>
>
>
> *From: *"Mr. Jaehoon Paul Jeong" <[email-masked]>
> *Date: *Tuesday, November 5, 2019 at 9:09 PM
> *To: *Acee Lindem <[email-masked]>
> *Cc: *"[email-masked]" <
> [email-masked]>, "[email-masked]" <
> [email-masked]>, "[email-masked]" <[email-masked]>, YANG Doctors <
> [email-masked]>, "[email-masked]" <
> [email-masked]>, "Mr. Jaehoon Paul Jeong" <
> [email-masked]>
> *Subject: *Re: [I2nsf] YANG Doctors Working Group Last Call Review for
> draft-ietf-i2nsf-nsf-facing-interface-dm-06
>
>
>
> Hi Acee,